;;; -*- Syntax: Ansi-Common-Lisp; Base: 10; Mode: lisp; Package: cl-user -*-
;;; $Id: package.lisp,v 1.1 2002/10/22 18:46:20 kevin Exp $

(in-package :cl-user)

(eval-when (:compile-toplevel :load-toplevel :execute)

  (defpackage :xp-test-framework
    (:use #:common-lisp)
    (:nicknames #:xp-test #:xptest)
    (:export
     ;;; Framework classes
     #:setup
     #:teardown
     #:perform-test
     #:test-failure
     #:failure
     #:run-test
     #:def-test-fixture
     #:make-test-case
     #:make-test-suite
     #:setup-testsuite-named
     #:teardown-testsuite-named
     #:add-test
     #:test-named
     #:remove-test
     #:tests
     #:test-result
     #:report-result
     )
    (:documentation "This is the XP TestSuite Framework."))

  (defpackage :xp-test-example
    (:use #:common-lisp #:xp-test)
    (:export
     #:math-test-suite))
  )

